# RenderViews(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``RenderViews`(bpy_struct)

  Collection of render views

  `active`

    Active Render View

    Type: | `SceneRenderView`, (never None)

  `active_index`

    Active index in render view array

    Type: | int in [0, 32767], default 0

  `new`(name)

    Add a render view to scene

    Parameters: | name (string, (never None)) – New name for the marker (not unique)
    Returns: | Newly created render view
    Return type: | `SceneRenderView`

  `remove`(view)

    Remove a render view

    Parameters: | view (`SceneRenderView`, (never None)) – Render view to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`RenderSettings.views` |